---

- hosts: localhost
  tasks:

  - name: create a subnet for vPOD {{ vpod_name }}
    purestorage.flashblade.purefb_subnet:
      name: "{{ vpod_name }}"
      mtu: "{{ storage_net_mtu }}"
      vlan: "{{ storage_vlan }}"
      prefix: 10.12.{{ cidr_hint }}.0/24
      gateway: 10.12.{{ cidr_hint }}.254
      state: present
      fb_url: "{{ pure_api_endpoint }}"
      api_token: "{{ pure_api_token }}"

  - name: create interface for vPOD {{ vpod_name }}
    purestorage.flashblade.purefb_network:
      name: "{{ vpod_name }}"
      address: 10.12.{{ cidr_hint }}.250
      state: present
      fb_url: "{{ pure_api_endpoint }}"
      api_token: "{{ pure_api_token }}"
    
  - name: create the 'poddata' filesystem {{ poddata_filesystem_name }}
    purestorage.flashblade.purefb_fs:
      name: "{{ poddata_filesystem_name }}"
      size: "{{ poddata_filesystem_size }}"
      state: present
      nfsv3: True
      nfsv4: False
      nfs_rules: "10.12.{{ cidr_hint }}.0/24(rw)"
      fb_url: "{{ pure_api_endpoint }}"
      api_token: "{{ pure_api_token }}"

  - name: create the 'nethome' filesystem {{ nethome_filesystem_name }}
    purestorage.flashblade.purefb_fs:
      name: "{{ nethome_filesystem_name }}"
      size: "{{ nethome_filesystem_size }}"
      state: present
      nfsv3: True
      nfsv4: False
      nfs_rules: "10.12.{{ cidr_hint }}.0/24(rw)"
      fb_url: "{{ pure_api_endpoint }}"
      api_token: "{{ pure_api_token }}"